Loading...
Searching...
No Matches
Position_to_index_overlay.h File Reference

Contains the Gudhi::persistence_matrix::Position_to_index_overlay class. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_matrix::Position_to_index_overlay< Underlying_matrix, Master_matrix >
| Overlay for chain matrices replacing all input and output MatIdx indices of the original methods with PosIdx indices. The overlay is useless for boundary matrices as MatIdx == PosIdx for them. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Position_to_index_overlay class.

Author
  Hannah Schreiber